import request from '@/utils/request'

export function getLifecycleDatabaseOverview(params) {
  return request({
    url: '/lifecycle/database/overview',
    method: 'get',
    params
  })
}

export function getLifecycleDatabaseSkuResults(params) {
  return request({
    url: '/lifecycle/database/sku-results',
    method: 'get',
    params
  })
}

export function getLifecycleDatabaseSpuResults(params) {
  return request({
    url: '/lifecycle/database/spu-results',
    method: 'get',
    params
  })
}

export function getLifecycleDatabaseHotProductSkuResults(params) {
  return request({
    url: '/lifecycle/hotproduct/database/sku-results',
    method: 'get',
    params
  })
}

export function getLifecycleDatabaseHotProductSpuResults(params) {
  return request({
    url: '/lifecycle/hotproduct/database/spu-results',
    method: 'get',
    params
  })
}
